#include <stdio.h>
#include <stdlib.h>
#include <math.h>
int main()
{
    int n, x, najveci=0, najmanji=0;
    scanf("%d %d", &n, &x);
    int komsije[n];
    scanf("%d", &komsije[0]);
    najveci=komsije[0];
    najmanji=komsije[0];
    for(int i = 1;i<n;i++)
    {
        scanf("%d", &komsije[i]);
        if(komsije[i]>najveci)
        {
            najveci=komsije[i];
        }
        else if(komsije[i]<najmanji)
        {
            najmanji=komsije[i];
        }
    }
    int rez;
    if(abs(x-najmanji)>=abs(x-najveci))
    {
        rez=abs(x-najveci)+najveci-najmanji;
    }
    else
    {
        rez=abs(x-najmanji)+najveci-najmanji;
    }
    printf("%d",rez);
    return 0;
}